
################################################################################
# Rules
################################################################################
include $(TOP_DIR)/Rules


################################################################################
# Source and Target
################################################################################
TARGET = jitter.o

SRCS = JitterBuffer.cpp
LIBS = 

OBJS = $(patsubst %.cpp,%.o,$(SRCS))
DEPS = $(patsubst %.cpp,.%.d,$(SRCS))


################################################################################
# All rule
################################################################################
.PHONY: all clean
all: $(TARGET)


################################################################################
# Target rule
################################################################################
$(TARGET): $(DEPS) $(OBJS) $(LIBS)
	@echo "	LD  $@"
	@$(LD) -i -o $@ $(OBJS)


################################################################################
# Depend rule
################################################################################
sinclude $(DEPS)


################################################################################
# Clean rule
################################################################################
clean:
	@echo "	CLEAN"
	@rm $(DEPS) $(OBJS) $(TARGET) -f


